package com.example.fitbot.util.server;

import java.net.Socket;

/**
 * Interface for handling WebSocket events.
 */
public interface IWebSocketHandler {

    // Function for handling the connection of the WebSocket.
    default void onConnected(Socket socket) {}

    default void onDisconnected(Socket socket) {}

    default void onMessageReceived(WebSocket.Message message, WebSocket.MessageReply replier) {}

    default void onError(Socket socket, String error) {}
}
